import { getJSON } from "./utils";
const root = "https://api.skypack.dev";
export const searchPackage = (name, p = 1, count = 25, projectType) => {
    const params = new URLSearchParams();
    params.set("q", name);
    params.set("p", p.toString());
    params.set("count", count.toString());
    projectType && params.set("projectType", projectType);
    const template = root + `/v1/search`;
    return getJSON(template);
};
export const searchPackageAutoComplete = (name) => {
    const params = new URLSearchParams();
    params.set("q", name);
    const template = root + `/v1/search?` + params.toString();
    return getJSON(template);
};
export const getPackageDetail = (name) => {
    const template = root + `/v1/package/${name}`;
    return getJSON(template);
};
export const browsePackage = (name, version) => {
    const template = root + `/v1/browse/${name}/${version}`;
    return getJSON(template);
};
export const getPackageStat = (name) => {
    const template = root + `/v1/stats/${name}`;
    return getJSON(template);
};
