import { CdnBuildStatus } from "./models/SearchResponse/CdnBuildStatus";
interface SearchParams {
    /**
     *  Don't add @ again, we hav @ front of your string,
     *  look up document
     *  https://docs.skypack.dev/skypack-cdn/api-reference/lookup-urls#lookup-by-package-+-version-range-semver
     */
    min?: boolean;
    dts?: boolean;
    dist?: string;
}
/** 获取 package 的文件 */
export declare const getPackageURL: (name: string, path?: string, { min, dts, dist }?: SearchParams) => string;
interface MetaData {
    name: string;
    version: string;
    buildId: string;
    buildStatus: CdnBuildStatus;
    packageExports: {
        [name: string]: {
            id: string;
            optimized: boolean;
            hasDefaultExport: boolean;
            namedExports: string[];
            type: string;
        };
    };
}
/**
 * 获取 package 的详细信息 当构建失败时会报错
 * https://docs.skypack.dev/skypack-cdn/api-reference/package-metadata */
export declare const getPackageMetaData: (name: string) => Promise<MetaData>;
/**
 * 获取一个 pinned 的 URL，可以加速获取文件
 * https://docs.skypack.dev/skypack-cdn/api-reference/pinned-urls-optimized
 */
export declare const getPinnedURL: (name: string, min?: boolean) => Promise<string>;
export {};
