/**
 *
 * @export
 * @interface ContentItem
 */
export interface ContentItem {
    /**
     * Name of the author
     * @type {string}
     * @memberof ContentItem
     */
    authorName: string;
    /**
     * URL of the image
     * @type {string}
     * @memberof ContentItem
     */
    imgUrl: string;
    /**
     * User-readable name of the content owner
     * @type {string}
     * @memberof ContentItem
     */
    source: string;
    /**
     * Title of this content
     * @type {string}
     * @memberof ContentItem
     */
    title: string;
    /**
     * Type of content (Blog post, postcast, etc.)
     * @type {string}
     * @memberof ContentItem
     */
    type: string;
    /**
     * URL to this content
     * @type {string}
     * @memberof ContentItem
     */
    url: string;
}
