import { SearchResponse } from "./models/SearchResponse";
import { SearchResult } from "./models/SearchResponse/SearchResult";
/** 搜索包的信息 */
export declare const searchPackage: (name: string, p?: number, count?: number, projectType?: "angular" | "ember" | "lit-html" | "preact" | "react" | "svelte" | "vue" | "other" | undefined) => Promise<SearchResponse>;
/** 在搜索的时候进行的自动补全 */
export declare const searchPackageAutoComplete: (name: string) => Promise<{
    results: SearchResponse[];
}>;
/** 获取包的信息 */
export declare const getPackageDetail: (name: string) => Promise<SearchResult>;
/** 查看整个包的统计信息 */
export declare const browsePackage: (name: string, version: string) => Promise<{
    files: {
        name: string;
        sizeKB: number;
        url: string;
    }[];
}>;
