import { ContentItem } from "./SearchResponse/ContentItem";
import { RecommendedPackage } from "./SearchResponse/RecommendedPackage";
import { SearchResponseMeta } from "./SearchResponse/SearchResponseMeta";
import { SearchResult } from "./SearchResponse/SearchResult";
/**
 *
 * @export
 * @interface SearchResponse
 */
export interface SearchResponse {
    /**
     *
     * @type {SearchResponseCommunityContent}
     * @memberof SearchResponse
     */
    communityContent?: {
        /**
         * Relevant links to the search term
         * @type {Array<ContentItem>}
         * @memberof SearchResponseCommunityContent
         */
        links: Array<ContentItem>;
        /**
         * Curated packages relevant to the search term
         * @type {Array<RecommendedPackage>}
         * @memberof SearchResponseCommunityContent
         */
        recommendedPackages: Array<RecommendedPackage>;
    };
    /**
     *
     * @type {SearchResponseMeta}
     * @memberof SearchResponse
     */
    meta: SearchResponseMeta;
    /**
     * Array of matches for the given query
     * @type {Array<SearchResult>}
     * @memberof SearchResponse
     */
    results: SearchResult[];
}
