/**
 * Meta info about the search performed
 * @export
 * @interface SearchResponseMeta
 */
export interface SearchResponseMeta {
    /**
     * What page we’re on
     * @type {number}
     * @memberof SearchResponseMeta
     */
    page: number;
    /**
     * How many results are returned per-page
     * @type {number}
     * @memberof SearchResponseMeta
     */
    resultsPerPage: number;
    /**
     * The time the search took
     * @type {number}
     * @memberof SearchResponseMeta
     */
    time: number;
    /**
     * The total number of results across all pages
     * @type {number}
     * @memberof SearchResponseMeta
     */
    totalCount: number;
    /**
     * The total number of pages
     * @type {number}
     * @memberof SearchResponseMeta
     */
    totalPages: number;
}
