import { Author } from "./Author";
import { CdnBuildStatus } from "./CdnBuildStatus";

/**
 *
 * @export
 * @interface SearchResult
 */
export interface SearchResult {
    /**
     *
     * @type {CdnBuildStatus}
     * @memberof SearchResult
     */
    buildStatus: CdnBuildStatus;
    /**
     * Date of very first version publish (ISO string)
     * @type {string}
     * @memberof SearchResult
     */
    createdAt: string;
    /**
     * Package description
     * @type {string}
     * @memberof SearchResult
     */
    description: string;
    /**
     * Does this package ship its own TypeScript types?
     * @type {boolean}
     * @memberof SearchResult
     */
    hasTypes: boolean;
    /**
     * Is this package deprecated?
     * @type {boolean}
     * @memberof SearchResult
     */
    isDeprecated: boolean;
    /**
     * Array of maintainers
     * @type {Array<Author>}
     * @memberof SearchResult
     */
    maintainers: Array<Author>;
    /**
     * Package name
     * @type {string}
     * @memberof SearchResult
     */
    name: string;
    /**
     * Package popularity score, between 0 (least popular) and 1 (most popular)
     * @type {number}
     * @memberof SearchResult
     */
    popularityScore?: number;
    /**
     * Package quality scorecard, between 0 (poor) and 1 (best)
     * @type {number}
     * @memberof SearchResult
     */
    qualityScore?: number;
    /**
     * Date of most recent version publish (ISO string)
     * @type {string}
     * @memberof SearchResult
     */
    updatedAt: string;
}
