import {
    useRollup,
    obj_module,
    web_module,
    sky_module,
} from "../../rollup-web/dist/my-vue-app.es.js";
import "https://cdn.jsdelivr.net/npm/mocha/mocha.js";
import "https://cdn.jsdelivr.net/npm/@babel/standalone/babel.min.js";
window.Babel.loadPartialConfigAsync = async (options) => {
    console.log(options);
};
const config = {
    input: "./test/index.spec.ts",
    output: {
        format: "es",
    },
    plugins: [
        web_module({
            extension: ".ts",
            beforeLoad(str) {
                return window.Babel.transform(str, {
                    filename: "index.ts",
                    presets: [window.Babel.availablePresets.typescript],
                }).code;
            },
        }),
        sky_module({
            cdn: "https://cdn.jsdelivr.net/npm/",
            rename: {
                chai: "chai/+esm",
            },
        }),
    ],
};
const res = await useRollup(config);
const initCode = res.output[0].code;

const evalModule = async (str) => {
    const url = URL.createObjectURL(
        new File([str], "index.js", { type: "application/javascript" })
    );
    return import(url).then((module) => {
        URL.revokeObjectURL(url);
        return module;
    });
};
mocha.setup("bdd");
mocha.checkLeaks();
await evalModule(initCode);
mocha.run();
